Subject: Re: bug#33665: 27.0.50; Variables not set up in Gnus when hooks are run

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 07 Dec 2018 09:25:21 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> It looks like gnus-newsgroup-name (and friends?) are no longer set when
> the summary mode hooks are run, so hooks that rely on that are now
> broken.

Yes, since `gnus-summary-mode' is now a real mode, it clears local
variables before running the hook. The right place for that sort of hook
is now `gnus-summary-prepared-hook'. I tried to change all the relevant
hooks I could within the codebase, but I guess gnus-mdrtn.el isn't
publicly available? I can change the Moderation section of the manual to
update the installation instructions.

> It also looks like summary mode line highlights no longer works.

I'll take a look now.